/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.tapestry.core;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import org.apache.tapestry5.EventContext;

/**
 * PagedContext provides
 *
 * @author tiwe
 * @version $Id$
 */
public class Context {
    
    private final List<Object> context = new ArrayList<Object>();

    public Context(EventContext eventContext) {
        for (int i = 0; i < eventContext.getCount(); i++){
            context.add(eventContext.get(String.class, i));
        }
    }
    
    public Context(Object... args) {
        context.addAll(Arrays.asList(args));
    }
    
    public int size(){
        return context.size();
    }
    
    public Object get(int i){
        return context.get(i);
    }
    
    public Context add(Object o){
        context.add(o);
        return this;
    }
    
    public Object[] toArray(){
        return context.toArray();
    }

}
