/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.tapestry.format.components;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

import org.apache.tapestry5.BindingConstants;
import org.apache.tapestry5.MarkupWriter;
import org.apache.tapestry5.annotations.BeginRender;
import org.apache.tapestry5.annotations.Mixin;
import org.apache.tapestry5.annotations.Parameter;
import org.apache.tapestry5.annotations.SetupRender;
import org.apache.tapestry5.corelib.mixins.DiscardBody;
import org.apache.tapestry5.corelib.mixins.RenderInformals;
import org.apache.tapestry5.ioc.annotations.Inject;

@SuppressWarnings("unused")
public class DateFormat {

    @Parameter(required = true)
    private Date date;

    @Parameter(defaultPrefix = BindingConstants.LITERAL, required = true)
    private String format;

    @Inject
    private Locale locale;

    @Mixin
    private RenderInformals renderInformals;

    private SimpleDateFormat formatter;

    private String formattedDate;

    @SetupRender
    void setupRender() {
        formatter = new SimpleDateFormat(format, locale);
        formattedDate = formatter.format(date);
    }

    @BeginRender
    void beginRender(MarkupWriter writer) {
        writer.write(formattedDate);
    }

}
